logo
DATABASE RESOURCES PRICING ABOUT US

curl vulnerabilities

Description

Daniel Stenberg discovered that curl incorrectly handled large floating point output. A remote attacker could use this issue to cause curl to crash, resulting in a denial of service, or possibly execute arbitrary code. This issue only affected Ubuntu 14.04 LTS and Ubuntu 16.04 LTS. (CVE-2016-9586) Even Rouault discovered that curl incorrectly handled large file names when doing TFTP transfers. A remote attacker could use this issue to cause curl to crash, resulting in a denial of service, or possibly obtain sensitive memory contents. (CVE-2017-1000100) Brian Carpenter and Yongji Ouyang discovered that curl incorrectly handled numerical range globbing. A remote attacker could use this issue to cause curl to crash, resulting in a denial of service, or possibly obtain sensitive memory contents. (CVE-2017-1000101) Max Dymond discovered that curl incorrectly handled FTP PWD responses. A remote attacker could use this issue to cause curl to crash, resulting in a denial of service. (CVE-2017-1000254) Brian Carpenter discovered that curl incorrectly handled the --write-out command line option. A local attacker could possibly use this issue to obtain sensitive memory contents. (CVE-2017-7407)


Affected Package


OS OS Version Package Name Package Version
Ubuntu 17.04 curl 7.52.1-4ubuntu1.2
Ubuntu 17.04 libcurl3 7.52.1-4ubuntu1.2
Ubuntu 17.04 libcurl3-gnutls 7.52.1-4ubuntu1.2
Ubuntu 17.04 libcurl3-nss 7.52.1-4ubuntu1.2
Ubuntu 16.04 curl 7.47.0-1ubuntu2.3
Ubuntu 16.04 curl-dbgsym 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl3 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl3-dbg 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl3-dbgsym 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl3-gnutls 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl3-gnutls-dbgsym 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl3-nss 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl3-nss-dbgsym 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl4-doc 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl4-gnutls-dev 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl4-gnutls-dev-dbgsym 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl4-nss-dev 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl4-nss-dev-dbgsym 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl4-openssl-dev 7.47.0-1ubuntu2.3
Ubuntu 16.04 libcurl4-openssl-dev-dbgsym 7.47.0-1ubuntu2.3
Ubuntu 14.04 curl 7.35.0-1ubuntu2.11
Ubuntu 14.04 curl-udeb 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl3 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl3-dbg 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl3-gnutls 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl3-nss 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl3-udeb 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl4-doc 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl4-gnutls-dev 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl4-nss-dev 7.35.0-1ubuntu2.11
Ubuntu 14.04 libcurl4-openssl-dev 7.35.0-1ubuntu2.11

Related